# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Shader Struct Reference

VLX wrapper of vl::Shader. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Shader:

List of all members.

## Public Member Functions

void | importShader (VLXSerializer &s, const VLXStructure *vlx, Shader *sh)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportShader (VLXSerializer &s, const Shader *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Shader.

Definition at line 1653 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Shader::importShader | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Shader * | sh
| ) |  | `[inline]`

Definition at line 1655 of file VLXWrappers.hpp.

References vl::EN_UnknownEnable, vl::Shader::enable(), vl::VLXValue::getList(), vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, vl::VLXValue::List, NULL, vl::Object::setObjectName(), vl::Shader::setRenderState(), vl::Shader::setUniform(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::vlx_EEnable(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Shader::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1719 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importShader(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Shader::exportShader | ( | VLXSerializer & | s,
|  | const Shader * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1728 of file VLXWrappers.hpp.

References vl::VLXSerializer::canExport(), vl::Log::debug(), vl::EnableSet::enables(), vl::VLXSerializer::exportVLX(), vl::ref< T >::get(), vl::Shader::getEnableSet(), vl::VLXValue::getList(), vl::Shader::getRenderStateSet(), vl::Shader::getUniformSet(), vl::RenderStateSlot::mIndex, vl::RenderStateSlot::mRS, vl::Object::objectName(), vl::RenderStateSet::renderStates(), vl::RenderStateSet::renderStatesCount(), vl::VLXValue::setList(), vl::Shader::uniforms(), vl::vlx_EEnable(), vl::vlx_Identifier(), and vl::vlx_String().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Shader::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1774 of file VLXWrappers.hpp.

References vl::Object::as(), exportShader(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.